VERSION 5.00
Begin VB.Form Find 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Find"
   ClientHeight    =   1065
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   5295
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Find.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1065
   ScaleWidth      =   5295
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox txtFind 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   360
      Left            =   1440
      TabIndex        =   0
      Top             =   127
      Width           =   2355
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3960
      TabIndex        =   2
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton cmdFindNext 
      Caption         =   "Find Next"
      Default         =   -1  'True
      Enabled         =   0   'False
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3960
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Find What"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   150
      TabIndex        =   3
      Top             =   180
      Width           =   945
   End
End
Attribute VB_Name = "Find"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private intBeganAt As Integer
Private intStartAt As Integer
Private blnPastEnd As Boolean

Public Sub Reset()
    cmdFindNext.Enabled = Len(txtFind.Text) > 0
    intBeganAt = IDE.txtScript.SelStart
    intStartAt = intBeganAt
    blnPastEnd = False
End Sub

Private Sub cmdCancel_Click()
    Hide
End Sub

Private Sub cmdFindNext_Click()
    Dim intFoundAt As Integer
    
    With IDE.txtScript
        Do
            intFoundAt = InStr(intStartAt + 1, .Text, txtFind.Text, vbTextCompare) - 1
            If intFoundAt >= 0 Then
                .SelStart = intFoundAt
                .SelLength = Len(txtFind.Text)
                IDE.SetFocus
                intStartAt = intFoundAt + 1
                If blnPastEnd Then
                    If intFoundAt >= intBeganAt Then
                        MsgBox "Searched entire script", vbOKOnly, App.Title & " Find"
                        intBeganAt = intFoundAt
                        blnPastEnd = False
                    End If
                End If
                With IDE
                    Move .Left + .Width - Width, .Top + .Height - Height
                End With
                Exit Do
            End If
            If intFoundAt < 0 Then
                If blnPastEnd Then
                    MsgBox "Searched entire script", vbOKOnly, App.Title & " Find"
                    intBeganAt = intFoundAt
                    blnPastEnd = False
                    Exit Do
                Else
                    intStartAt = 0
                    blnPastEnd = True
                End If
            End If
        Loop
    End With
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then
        cmdCancel_Click
        Cancel = True
    End If
End Sub

Private Sub txtFind_Change()
    Reset
End Sub
