' LogicalDisk.vbs
' Sample VBScript to interrogate a Logical disk with WMI
' Author Guy Thomas http://computerperformance.co.uk/
' Version 1.8 - November 2005
' -------------------------------------------------------------' 
' Cleaned up September 2009
' Requires WMI service running, uses unsafe objects!
' -------------------------------------------------------------' 
Option Explicit
Dim objWMIService, objItem, colItems, strComputer

strComputer = "."

Set objWMIService = GetObject("winmgmts:\\" & strComputer & "\root\cimv2")
Set colItems = objWMIService.ExecQuery("Select * from Win32_LogicalDisk")

For Each objItem in colItems
  WScript.Echo "Computer: " & objItem.SystemName & vbNewLine & vbNewLine & _
    " Drive Letter: " & objItem.Name & vbNewLine & _
    " Description: " & objItem.Description & vbNewLine & _
    " Volume Name: " & objItem.VolumeName & vbNewLine & _
    " Drive Type: " & objItem.DriveType & vbNewLine & _
    " Media Type: " & objItem.MediaType & vbNewLine & _
    " VolumeSerialNumber: " & objItem.VolumeSerialNumber & vbNewLine & _
    " Size: " & Int(objItem.Size /1073741824) & " GB" & vbNewLine & _
    " Free Space: " & Int(objItem.FreeSpace /1073741824) & _
    " GB" & vbNewLine & _
    " Quotas Disabled: " & objItem.QuotasDisabled & vbNewLine & _
    " Supports DiskQuotas: " & objItem.SupportsDiskQuotas & vbNewLine & _
    " Supports FileBasedCompression: " & _
        objItem.SupportsFileBasedCompression & vbNewLine & _
    " Compressed: " & objItem.Compressed & vbNewLine
Next

WScript.Quit