VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "StdInSim"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'
'StdInSim
'=========
'
'Here is where you would implement a WScript.StdIn object
'emulator.
'

Private Const INFINITE As Long = -1

Private Const QS_HOTKEY As Long = &H80&
Private Const QS_KEY As Long = &H1&
Private Const QS_MOUSEBUTTON As Long = &H4&
Private Const QS_MOUSEMOVE As Long = &H2&
Private Const QS_PAINT As Long = &H20&
Private Const QS_POSTMESSAGE As Long = &H8&
Private Const QS_SENDMESSAGE As Long = &H40&
Private Const QS_TIMER As Long = &H10&
Private Const QS_ALLINPUT As Long = (QS_SENDMESSAGE _
                                  Or QS_PAINT _
                                  Or QS_TIMER _
                                  Or QS_POSTMESSAGE _
                                  Or QS_MOUSEBUTTON _
                                  Or QS_MOUSEMOVE _
                                  Or QS_HOTKEY _
                                  Or QS_KEY)

Private Declare Function MsgWaitForMultipleObjects Lib "user32" ( _
    ByVal nCount As Long, _
    pHandles As Long, _
    ByVal fWaitAll As Long, _
    ByVal dwMilliseconds As Long, _
    ByVal dwWakeMask As Long) As Long
    
Private mStdOut As StdOutSim 'Use to echo inputs.

Public Property Get Column() As Long
    Column = 1
End Property

Public Property Get Line() As Long
    Line = 1
End Property

Friend Property Get StdOut() As StdOutSim
    Set StdOut = mStdOut
End Property

Friend Property Set StdOut(ByVal StdOut As StdOutSim)
    Set mStdOut = StdOut
End Property

Public Function ReadLine() As String
    Dim lngBackColor
    
    With IDE.txtInput
        lngBackColor = .BackColor
        .BackColor = vbWindowBackground
        .Enabled = True
        .SetFocus
        IDE.StatusBarMsg.Caption = "Awaiting input, Ctrl-C quits."
        IDE.StatusBarMsg.ToolTipText = ""
        gblnAwaitingInput = True
        Do
            MsgWaitForMultipleObjects 0, ByVal 0&, False, INFINITE, QS_ALLINPUT
            DoEvents
        Loop Until gblnGotInput
        .BackColor = lngBackColor
        .Enabled = False
        gblnAwaitingInput = False
        gblnGotInput = False
        If gblnCancel Then
            .Text = ""
            gblnCancel = False
            Err.Raise 51 'End script via Internal Error (handled in scScript Error handler).
        Else
            ReadLine = .Text
            StdOut.WriteLine .Text
            .Text = ""
        End If
    End With
End Function
